Subject: Re: [PATCH v2] Optimise search-patch (reducing I/O)

From: Maxime Devos <[email-masked]>
Date: Mon, 06 Sep 2021 00:40:25 +0200

Maxime Devos schreef op zo 05-09-2021 om 21:48 [+0200]:
> Ludovic Courtès schreef op zo 05-09-2021 om 00:04 [+0200]:
> > Maxime Devos <[email-masked]> skribis:
> > 
[..]
> I added two patches adding (limited) dependency tracking to compile-all.scm.
> If a patch file is now modified or deleted, the corresponding package modules
> will be recompiled.  This should remove the ‘evilness’ I think.

Oops, I forgot to include the following change to build-aux/compile-all.scm:

     (or (not (file-exists? go))
         (file-mtime<? go file)
-        (any (cut file-mtime<? go <>) extra-dependencies))))
+        (any (lambda (dependency)
+               (or (not (file-exists? dependency))
+                   (file-mtime<? go dependency))) extra-dependencies))))

It will be included in the v3.

Greetings,
Maxime.